## DOT Dot Product Function

Section: Elementary Functions

### Usage

Computes the scalar dot product of its two arguments. The general syntax for its use is

      y = dot(x,z)

where `x` and `z` are numerical vectors of the same length. If `x` and `z` are multi-dimensional arrays of the same size, then the dot product is taken along the first non-singleton dimension. You can also specify the dimension to take the dot product along using the alternate form

      y = dot(x,z,dim)

where `dim` specifies the dimension to take the dot product along.